Subject: Re: bug#46202: 28.0.50; project-find-file performance degrades significantly with ede-enable-generic-projects

From: Dmitry Gutov <[email-masked]>
Date: Tue, 2 Feb 2021 00:55:00 +0200

On 01.02.2021 18:26, Pankaj Jangid wrote:

> I was just following the video tutorial from Anand Tamariya for
> configuring Emacs for Java coding. It suggested EDE. Earlier, when I
> read about EDE, it was mostly related to C/C++ files. So I didn’t touch
> at that time.
> 
> But now when I enabled generic projects, it affected my other
> workflow. So I disabled it again. I am happy with just the project.el.

Did it have an explanation for which effect ede-enable-generic-projects 
was going to have?

>> Would anybody miss EDE <-> project.el integration, do you think?
>>
>> We could remove it or, I suppose, deprioritize over the VC-based backend.
> 
> Yes. I think EDE should be disabled/ deprioritized in favour of
> project.el.

I'd like some help with choosing between these options.

>> For a workaround, try:
>>
>>    (with-eval-after-load 'ede
>>      (remove-hook 'project-find-functions #'project-try-ede))
>>
> 
> This workaround did not work.

Hmm. What's your value of project-find-functions?

And which file/package was project-try-ede defined in, if any? If you're